be.vlaanderen.mercurius.mohm.schemas.v1

## Class EMOHMDF112ConsultSupportAndRepairListRequest

- java.lang.Object
- - be.vlaanderen.mercurius.mohm.schemas.v1.EMOHMDF112ConsultSupportAndRepairListRequest

- All Implemented Interfaces:
    Serializable

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2025-10-31T09:59:03+01:00",
                 comments="JAXB RI v2.3.7")
      public class EMOHMDF112ConsultSupportAndRepairListRequest
      extends Object
      implements Serializable

  Java class for anonymous complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType>
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="MessageMetadata" type="{http://www.mercurius.vlaanderen.be/mohm/schemas/v1}MessageMetadataType"/>
               <element name="ConsultSupportAndRepairList" type="{http://www.mercurius.vlaanderen.be/mohm/schemas/v1}ConsultSupportAndRepairListRequestType"/>
             </sequence>
           </restriction>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `EMOHMDF112ConsultSupportAndRepairListRequest()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ConsultSupportAndRepairListRequestType` | `getConsultSupportAndRepairList()` Gets the value of the consultSupportAndRepairList property.
    `MessageMetadataType` | `getMessageMetadata()` Gets the value of the messageMetadata property.
    `void` | `setConsultSupportAndRepairList(ConsultSupportAndRepairListRequestType value)` Sets the value of the consultSupportAndRepairList property.
    `void` | `setMessageMetadata(MessageMetadataType value)` Sets the value of the messageMetadata property.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### EMOHMDF112ConsultSupportAndRepairListRequest

          public EMOHMDF112ConsultSupportAndRepairListRequest()

  - ### Method Detail

    - #### getMessageMetadata

          public MessageMetadataType getMessageMetadata()

      Gets the value of the messageMetadata property.
      Returns:
        possible object is `MessageMetadataType`

    - #### setMessageMetadata

          public void setMessageMetadata(MessageMetadataType value)

      Sets the value of the messageMetadata property.
      Parameters:
        `value` - allowed object is `MessageMetadataType`

    - #### getConsultSupportAndRepairList

          public ConsultSupportAndRepairListRequestType getConsultSupportAndRepairList()

      Gets the value of the consultSupportAndRepairList property.
      Returns:
        possible object is `ConsultSupportAndRepairListRequestType`

    - #### setConsultSupportAndRepairList

          public void setConsultSupportAndRepairList(ConsultSupportAndRepairListRequestType value)

      Sets the value of the consultSupportAndRepairList property.
      Parameters:
        `value` - allowed object is `ConsultSupportAndRepairListRequestType`

Connector Packaging TRUSSMAKER 4.8.4 API
Copyright © {inceptionYear}-2025 eHealth. All Rights Reserved.